OGRE: Ogre::RTShader::ShaderProgramWriterCGFactory Class Reference - OGRE Documentation

Public Member Functions | Private Attributes

# Ogre::RTShader::ShaderProgramWriterCGFactory Class Reference
[RTShader]

CG program writer factory implementation. More...

`#include <OgreShaderCGProgramWriter.h>`

Inheritance diagram for Ogre::RTShader::ShaderProgramWriterCGFactory:
[legend]

List of all members.

## Public Member Functions
| ShaderProgramWriterCGFactory ()
virtual | ~ShaderProgramWriterCGFactory ()
virtual const String & | getTargetLanguage (void) const
virtual ProgramWriter * | create (void)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Private Attributes
String | mLanguage

## Detailed Description

CG program writer factory implementation.

See also:
  ProgramWriterFactory

Definition at line 108 of file OgreShaderCGProgramWriter.h.

## Constructor & Destructor Documentation

Ogre::RTShader::ShaderProgramWriterCGFactory::ShaderProgramWriterCGFactory | ( |  | ) |

Definition at line 111 of file OgreShaderCGProgramWriter.h.

virtual Ogre::RTShader::ShaderProgramWriterCGFactory::~ShaderProgramWriterCGFactory | ( |  | ) | `[virtual]`

Definition at line 115 of file OgreShaderCGProgramWriter.h.

## Member Function Documentation

virtual ProgramWriter* Ogre::RTShader::ShaderProgramWriterCGFactory::create | ( | void |  | ) | `[virtual]`

See also:
  ProgramWriterFactory::create

Implements Ogre::RTShader::ProgramWriterFactory.

Definition at line 128 of file OgreShaderCGProgramWriter.h.

virtual const String& Ogre::RTShader::ShaderProgramWriterCGFactory::getTargetLanguage | ( | void |  | ) | const`[virtual]`

See also:
  ProgramWriterFactory::getTargetLanguage

Implements Ogre::RTShader::ProgramWriterFactory.

Definition at line 120 of file OgreShaderCGProgramWriter.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

String Ogre::RTShader::ShaderProgramWriterCGFactory::mLanguage`[private]`

Definition at line 134 of file OgreShaderCGProgramWriter.h.

The documentation for this class was generated from the following file:

- OgreShaderCGProgramWriter.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05